Update customer information for an order - Fabric

Update customer information for an order

cURL

curl --request PATCH \
  --url https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "name": {
    "first": "John",
    "middle": "Middle",
    "last": "Doe"
  },
  "email": "john@fabric.inc",
  "phone": {
    "number": "55555555555",
    "type": "MOBILE"
  },
  "userId": "62272e917b12209e68751d94",
  "accountId": "62272e917b12209e68751d94",
  "employeeId": "62272e917b12209e68751d94",
  "company": "fabric"
}
'

Python Example

import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer"

payload = {
    "name": {
        "first": "John",
        "middle": "Middle",
        "last": "Doe"
    },
    "email": "john@fabric.inc",
    "phone": {
        "number": "55555555555",
        "type": "MOBILE"
    },
    "userId": "62272e917b12209e68751d94",
    "accountId": "62272e917b12209e68751d94",
    "employeeId": "62272e917b12209e68751d94",
    "company": "fabric"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript Example

const options = {
  method: 'PATCH',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: {first: 'John', middle: 'Middle', last: 'Doe'},
    email: 'john@fabric.inc',
    phone: {number: '55555555555', type: 'MOBILE'},
    userId: '62272e917b12209e68751d94',
    accountId: '62272e917b12209e68751d94',
    employeeId: '62272e917b12209e68751d94',
    company: 'fabric'
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => [
        'first' => 'John',
        'middle' => 'Middle',
        'last' => 'Doe'
    ],
    'email' => 'john@fabric.inc',
    'phone' => [
        'number' => '55555555555',
        'type' => 'MOBILE'
    ],
    'userId' => '62272e917b12209e68751d94',
    'accountId' => '62272e917b12209e68751d94',
    'employeeId' => '62272e917b12209e68751d94',
    'company' => 'fabric'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go Example

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/customer"

payload := strings.NewReader("{\n  \"name\": {\n    \"first\": \"John\",\n    \"middle\": \"Middle\",\n    \"last\": \"Doe\"\n  },\n  \"email\": \"john@fabric.inc\",\n  \"phone\": {\n    \"number\": \"55555555555\",\n    \"type\": \"MOBILE\"\n  },\n  \"userId\": \"62272e917b12209e68751d94\",\n  \"accountId\": \"62272e917b12209e68751d94\",\n  \"employeeId\": \"62272e917b12209e68751d94\",\n  \"company\": \"fabric\"\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Responses

200 Success

{
  "name": {
    "first": "John",
    "middle": "Middle",
    "last": "Doe"
  },
  "email": "john@fabric.inc",
  "phone": {
    "number": "55555555555",
    "type": "MOBILE"
  },
  "userId": "62272e917b12209e68751d94",
  "accountId": "62272e917b12209e68751d94",
  "employeeId": "62272e917b12209e68751d94",
  "company": "fabric"
}

Error Responses

{
  "message": "Bad request"
}
{
  "message": "Order not found"
}
{
  "message": "Internal server error"
}